typst-0.1.0.0: Parsing and evaluating typst syntax.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Typst.Evaluate

Synopsis

- evaluateTypst :: Monad m => (FilePath -> m ByteString) -> FilePath -> [Markup] -> m (Either ParseError (Seq Content))
- valToContent :: Val -> Seq Content

# Documentation

evaluateTypst Source #

Arguments

:: Monad m |
=> (FilePath -> m ByteString) | Function to read a file
-> FilePath | Path of parsed content
-> [Markup] | Markup produced by `parseTypst`
-> m (Either ParseError (Seq Content)) |

Evaluate a parsed typst expression, evaluating the code and replacing it with content.

valToContent :: Val -> Seq Content Source #